Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.util.throwable
Class ThrowableDescriptor

    java.lang.Object
      echopointng.util.throwable.ThrowablePropertyDescriptor
          echopointng.util.throwable.ThrowableDescriptor

All Implemented Interfaces:
  java.io.Serializable

    public class ThrowableDescriptor

extends ThrowablePropertyDescriptor

`ThrowableDescriptor` describes an Throwable and lists if properties, causes and its stack trace.

See Also:
  Serialized Form

Method Summary
`ThrowableDescriptor[]` | `getCauses()` Returns the causes of the Throwable or a 0 length array if they are not known.
`java.lang.String` | `getMessage()` Returns the localised message of the Throwable
`ThrowablePropertyDescriptor[]` | `getProperties()` Returns an array of properties of the Throwable.
`java.lang.String[]` | `getStackTrace()` Returns an array of stack tace messages for the Throwable.
`java.lang.Throwable` | `getThrowable()` Returns the actual Throwable that this ThrowableDescriptor describes.
`void` | `setStackTrace(java.lang.String[] strings)`
`java.lang.String` | `toString()`

Methods inherited from class echopointng.util.throwable.ThrowablePropertyDescriptor
`getModifiers, getName, getType, getValue, getValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCauses

    public ThrowableDescriptor[] getCauses()

  Returns the causes of the Throwable or a 0 length array if they are not known.

  Returns:
    the causes of the Throwable or a 0 length array if they are not known.

### getMessage

    public java.lang.String getMessage()

  Returns the localised message of the Throwable

  Returns:
    the localised message of the Throwable

### getStackTrace

    public java.lang.String[] getStackTrace()

  Returns an array of stack tace messages for the Throwable.

  Returns:
    an array of stack tace messages for the Throwable.

### getThrowable

    public java.lang.Throwable getThrowable()

  Returns the actual Throwable that this ThrowableDescriptor describes.

  Returns:
    the actual Throwable that this ThrowableDescriptor describes.

### getProperties

    public ThrowablePropertyDescriptor[] getProperties()

  Returns an array of properties of the Throwable.

  Returns:
    an array of properties of the Throwable.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### setStackTrace

    public void setStackTrace(java.lang.String[] strings)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD